@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

* {
  box-sizing: border-box;
}

html {
  color: #fff;
  font-family: 'Lato', sans-serif;
}

body {
  min-height: 100vh;
  margin: 0;
  background-color: #9fbffc;
}

main {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
}

.join-us {
  padding: 0 5px;
  position: fixed;
  top: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background-color: #000;
  width: 36px;
  height: 36px;
  font-size: 14px;
  font-weight: bold;
  z-index: 999;
}
.join-us span {
  display: none;
}
.join-us:hover {
  width: auto;
  border-radius: 30px;
  color: #fff;
}
.join-us:hover span {
  display: block;
}

header,
footer {
  height: 200px;
  background-color: #084063;
}

header {
  display: flex;
  margin-bottom: 10px;
}

section {
  margin-bottom: 10px;
}

h1 {
  position: relative;
  margin: auto;
  text-shadow: 2px 0 0px #800040, 3px 2px 0px rgba(77, 0, 38, 0.5),
    3px 0 3px #ff002b, 5px 0 3px #800015, 6px 2px 3px rgba(77, 0, 13, 0.5),
    6px 0 9px #ff5500, 8px 0 9px #802a00, 9px 2px 9px rgba(77, 25, 0, 0.5),
    9px 0 18px #ffd500, 11px 0 18px #806a00, 12px 2px 18px rgba(77, 66, 0, 0.5),
    12px 0 30px #d4ff00, 14px 0 30px #6a8000, 15px 2px 30px rgba(64, 77, 0, 0.5),
    15px 0 45px #80ff00, 17px 0 45px #408000, 17px 2px 45px rgba(38, 77, 0, 0.5);
}
h1:before,
h1:after {
  content: 'the_';
  position: absolute;
  top: 0;
  right: 100%;
  text-shadow: inherit;
}
h1:after {
  content: '_site';
  left: 100%;
}

.media {
  display: flex;
}

.images {
  position: relative;
  display: flex;
  flex: 85%;
  flex-flow: row wrap;
  background: #fff;
}

.images img {
  height: 330px;
  width: 50%;
  object-fit: cover;
  border-radius: 15px;
  transition: transform 0.2s;
  cursor: pointer;
}

.images img:nth-of-type(1):hover {
  transform: scale(1.8) translate(25%, 25%);
}
.images img:nth-of-type(2):hover {
  transform: scale(1.8) translate(-25%, 25%);
}
.images img:nth-of-type(3):hover {
  transform: scale(1.8) translate(25%, -25%);
}
.images img:nth-of-type(4):hover {
  transform: scale(1.8) translate(-25%, -25%);
}

.adv {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 15%;
  background-color: #fff;
  box-shadow: inset 20px 20px 21px 0px #fda912;
}

.adv p {
  font-size: 30px;
  color: #fda912;
  writing-mode: vertical-rl;
  text-orientation: mixed;
  text-transform: uppercase;
}

.articles {
  display: flex;
  height: 190px;
}

.articles article {
  height: 190px;
  text-align: justify;
  background-color: #fff;
  color: #000;
  overflow: scroll;
  border-radius: 30px;
  padding: 10px;
}

footer {
  display: flex;
  flex-direction: column;
  align-items: center;
}

h2 {
  margin: 10px 0 0;
  font-size: 36px;
  text-align: center;
  text-transform: uppercase;
}

nav {
  display: flex;
  justify-content: center;
}

ul {
  margin: 10px 0 20px;
  display: flex;
  list-style: none;
}

li {
  padding: 0 10px;
}

a {
  color: #fff;
  font-size: 20px;
  text-decoration: none;
  text-transform: uppercase;
  transition: color 0.1s;
}

a:hover {
  color: #000;
}

form {
  display: flex;
  flex-direction: column;
  text-align: center;
}

label,
input {
  font-size: 12px;
}

label {
  text-transform: uppercase;
}

.copyright {
  font-size: 10px;
}

@media screen and (max-width: 768px) {
  .media,
  .images,
  .articles {
    display: grid;
  }
  .images img {
    width: 100%;
  }
  .images img:hover {
    transform: translate(0) !important;
  }
  .adv p {
    writing-mode: initial;
  }
  .articles {
    height: auto;
  }
}
